groups:
- name: gcp-snapshots.rules
  rules:
  - alert: GCPScheduledSnapshotsDelayed
    expr: |
      absent_over_time(stackdriver_gce_disk_logging_googleapis_com_user_scheduled_snapshots{env="gstg"}[4h]) == 1
    for: 1h
    labels:
      pager: pagerduty
      severity: s1
      alert_type: cause
    annotations:
      grafana_datasource_id: mimir-gitlab-gstg
      description: Recent GCP scheduled snapshot are missing for {{ $labels.env }}. Please follow the runbook to review the problem.
      runbook: docs/disaster-recovery/gcp-snapshots.md
      title: GCP scheduled snapshots are delayed
  - alert: GCPScheduledSnapshotsFailed
    expr: |
      count(stackdriver_gce_disk_logging_googleapis_com_user_scheduled_snapshots_errors{env="gstg"}) >= 1
    for: 1m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: cause
    annotations:
      grafana_datasource_id: mimir-gitlab-gstg
      description: GCP scheduled snapshots are reporting failures for {{ $labels.env }}. Please follow the runbook to review the problem.
      runbook: docs/disaster-recovery/gcp-snapshots.md
      title: GCP scheduled snapshots are failing
